call plug#begin()
Plug 'nvim-lua/plenary.nvim'
Plug 'nvim-telescope/telescope.nvim'
Plug 'nvim-treesitter/nvim-treesitter'
Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'morhetz/gruvbox'
Plug 'preservim/nerdcommenter'
Plug 'preservim/nerdtree'
Plug 'vim-airline/vim-airline'
Plug 'rafalbromirski/vim-aurora'
Plug 'ekickx/clipboard-image.nvim'

" Find files using Telescope command-line sugar.
let mapleader = ","
nnoremap <leader>ff <cmd>Telescope find_files<cr>
nnoremap <leader>fg <cmd>Telescope live_grep<cr>
nnoremap <leader>fb <cmd>Telescope buffers<cr>
nnoremap <leader>fh <cmd>Telescope help_tags<cr>
call plug#end()


set number
set relativenumber
set nocompatible
filetype plugin on
syntax on

" colorscheme tokyonight
set tabstop=4
set shiftwidth=4
set expandtab
set scrolloff=7

" NerdTree
let NERDTreeQuitOnOpen=1
nmap <f2> :NERDTreeToggle<CR>

let g:airline#extensions#tabline#enabled=1
let g:airline#extensions#tabline#fnamemode=':t'
nmap <leader>1: bp<CR>
nmap <leader>2: bn<CR>
nmap <C-w> :bd<CR>
nnoremap <leader>p <cmd>PasteImg<cr>



" VimWiki
let g:vimwiki_list = [{'path': '~/vimwiki/',
                      \ 'syntax': 'markdown', 'ext': '.md'}]
" Remaps
let @d = "0i**\<ESC>f:a**\<ESC>"

" Nerdtree
